[Unit]
Description		=in4_syslog - instance %i
Documentation	= man:rsyslogd(8)
Documentation	= http://www.rsyslog.com/doc/

## DEPS ## 
 #Conflicts=, # Wants=,  # Before=, # PartOf=, #OnFailure=,  #PropagatesReloadTo=, ReloadPropagatedFrom=
 Requires		= var-run.mount nss-lookup.target network.target time-sync.target systemd-modules-load.service 
 After			= var-run.mount nss-lookup.target network.target time-sync.target systemd-modules-load.service 
  Requires		= syslog.socket
 Conflicts		= syslog-ng.service syslogd.service rsyslog.service
##

## DEPS - AFTER in4.TARGET## 
 #Requires		= in4.target
 #After			= in4.target
##


## MISC ## 
 #StopWhenUnneeded	= true
 #ConditionPathExists	=
##

[Service]
 
## TYPE ##
 Type			= notify
##

## EXECS ##
 ExecStart		= /usr/sbin/rsyslogd -n -f /etc/rsyslog.d/engine/instance/%i.conf -i /var/run/rsyslogd_%i.pid
 ExecReload		= /bin/kill -HUP $MAINPID

 ExecStartPre	= /usr/sbin/rsyslog-service-prepare
 ExecStartPre	= /bin/sh /media/sysdata/in4/platform/in4_core/internals/helpers/syslog_wrapper.sh cee 'cee@: {"status":"unknown", "action":"start", "subaction":"pre", "type":"systemd", "unit":"%N", "prefix":"%P", "rundir":"%t", "user":"%u", "uid":"%U", "host":"%H", "machid":"%m", "kernel":"%v"}'
 
 #ExecStartPost	= 
 ExecStartPost	= /bin/sh /media/sysdata/in4/platform/in4_core/internals/helpers/syslog_wrapper.sh cee 'cee@: {"status":"started", "action":"start", "subaction":"post", "type":"systemd", "unit":"%N", "prefix":"%P", "rundir":"%t", "user":"%u", "uid":"%U", "host":"%H", "machid":"%m", "kernel":"%v"}'
 
 #ExecStopPost	= 
 ExecStopPost	= /bin/sh /media/sysdata/in4/platform/in4_core/internals/helpers/syslog_wrapper.sh cee 'cee@: {"status":"stopped", "action":"stop", "subaction":"post", "type":"systemd", "unit":"%N", "prefix":"%P", "rundir":"%t", "user":"%u", "uid":"%U", "host":"%H", "machid":"%m", "kernel":"%v"}'
 
 #loging -  "instance":"%I"
##
 
## PERMISSIONS ##
 #WorkingDirectory	= 
 User			= root
 Group			= root
 SupplementaryGroups = sysdata
 #UMask			= 
##

## MISC ##
 Restart			= always
 RestartSec		= 30
 PrivateTmp		= true
 TimeoutSec		= 15 
##

## SYSLOG ##
 SyslogIdentifier	=in4_syslog
 SyslogFacility	= local7
 SyslogLevel		= info
 #SyslogLevelPrefix	= false #Can be disabled for ...
##
 

## SECURITY ##
 ProtectSystem	= full
 ProtectHome		= true
 #AppArmorProfile	= 
 #PAMName		= 
 #SecureBits		= 
 #Capabilities		= 
 #ReadWriteDirectories=, ReadOnlyDirectories=, InaccessibleDirectories=
##
 

## LIMITS ##
 Nice				= 0
 OOMScoreAdjust	        = -1000
 IOSchedulingClass 	= best-effort
 IOSchedulingPriority   = 1
 LimitNOFILE                 = 65535
 #LimitMEMLOCK=infinity #For DB's
 #MemoryLimit		= 
 #BlockIOReadBandwidth = 
 #BlockIOWriteBandwidth = 
## 

 
[Install]
WantedBy			= multi-user.target
Alias=syslog.service
#RequiredBy=, #Alias = 

## in4 - WANTEDBY
#WantedBy			= in4.target
##
